Package org.eclipse.birt.chart.event

# Class TransformationEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.TransformationEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

public final class TransformationEvent extends PrimitiveRenderEvent
An event type for transformation.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ROTATE`
Indicates this is a rotating transformation.
`static final int`
`SCALE`
Indicates this is a scaling transformation.
`static final int`
`TRANSLATE`
Indicates this is a tranlating transformatino.
`static final int`
`UNDEFINED`
Indicates the transformation type is undefined.

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`TransformationEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getRotation()`
`double`
`getScale()`
`int`
`getTransform()`
`double`
`getTranslateX()`
`double`
`getTranslateY()`
`void`
`reset()`
Resets the inner state of current event.
`void`
`setRotation(double dAngleInDegrees)`
Sets the rotation of current event.
`void`
`setScale(double dScale)`
Sets the scale of current event.
`void`
`setTransform(int iTransform)`
Sets the transformation type of this event.
`void`
`setTranslation(double dTranslateX, double dTranslateY)`
Sets the translation of current event.

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, copy, draw, fill, getBackground, getBounds, getDepth, getLabel, getLineAttributes, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### UNDEFINED

public static final int UNDEFINED
Indicates the transformation type is undefined.

See Also:
  - Constant Field Values

### SCALE

public static final int SCALE
Indicates this is a scaling transformation.

See Also:
  - Constant Field Values

### TRANSLATE

public static final int TRANSLATE
Indicates this is a tranlating transformatino.

See Also:
  - Constant Field Values

### ROTATE

public static final int ROTATE
Indicates this is a rotating transformation.

See Also:
  - Constant Field Values

## Constructor Details

### TransformationEvent

public TransformationEvent(Object oSource)
The constructor.

## Method Details

### setTransform

public void setTransform(int iTransform)
Sets the transformation type of this event. The value must be one of these defined in this class:

- `SCALE`
- `TRANSLATE`
- `ROTATE`

### getTransform

public int getTransform()

Returns:
  Returns the transformation type of this event. The value could be one of these defined in this class:
  - `SCALE`
  - `TRANSLATE`
  - `ROTATE`
  - `UNDEFINED`

### setScale

public void setScale(double dScale)
Sets the scale of current event.

### getScale

public double getScale()

Returns:
  Returns the scale of current event.

### setTranslation

public void setTranslation(double dTranslateX, double dTranslateY)
Sets the translation of current event.

### getTranslateX

public double getTranslateX()

Returns:
  Returns the X translation of current event.

### getTranslateY

public double getTranslateY()

Returns:
  Returns the Y tranlation of current event.

### setRotation

public void setRotation(double dAngleInDegrees)
Sets the rotation of current event.

### getRotation

public double getRotation()

Returns:
  Returns the rotation of current event.

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`